/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { PercentagePriceOscillatorIndicatorStrategy } from "./PercentagePriceOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class PercentagePriceOscillatorIndicator extends StrategyBasedIndicator {
    get_p3() {
        return new PercentagePriceOscillatorIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return PercentagePriceOscillatorIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get shortPeriod() {
        return typeGetValue(this.c(PercentagePriceOscillatorIndicator.qp));
    }
    set shortPeriod(a) {
        this.h(PercentagePriceOscillatorIndicator.qp, a);
    }
    qb() {
        return this.shortPeriod;
    }
    get longPeriod() {
        return typeGetValue(this.c(PercentagePriceOscillatorIndicator.qo));
    }
    set longPeriod(a) {
        this.h(PercentagePriceOscillatorIndicator.qo, a);
    }
    p8() {
        return this.longPeriod;
    }
}
PercentagePriceOscillatorIndicator.$t = markType(PercentagePriceOscillatorIndicator, 'PercentagePriceOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
PercentagePriceOscillatorIndicator.qp = StrategyBasedIndicator.qn(10, PercentagePriceOscillatorIndicator.$);
PercentagePriceOscillatorIndicator.qo = StrategyBasedIndicator.qj(30, PercentagePriceOscillatorIndicator.$);
